<?php
session_start();
require_once ("../../config/Cado.php");
require_once ("../formatos/formato.php");
function responder($estado=false, $mensaje='', $datos=[])
{
	header('Content-type: application/json');
	echo json_encode([
		'est' => $estado,
		'msj' => $mensaje,
		'dat' => $datos,
		]);
	exit;
}
if($_POST['action']=='agregar')
{
	$diferencia=moneda_mysql($_POST['ven_tot'])-moneda_mysql($_POST['venpag_tot']);
	$diferencia=formato_money($diferencia);
	$diferencia=moneda_mysql($diferencia);
	$pago=moneda_mysql($_POST['venpag_mon']);
	if($pago>0)
	{
		if($pago>$diferencia)
		{			
				responder(false, 'Monto no puede ser mayor que '.$diferencia , ['tipo' => 'venpag_mon', 'mon' => $diferencia]);
		
		}
		if($_POST['venpag_for']==1)
		{
			if($_POST['venpag_mod']=="")responder(false, 'Seleccione Modo.', ['tipo' => 'venpag_mod']);
			if($_POST['venpag_mod']==2)
			{
			
				if($_POST['venpag_numope']=="")responder(false, 'Ingrese N° de Operación.', ['tipo' => 'venpag_numope']);
			}
			if($_POST['venpag_mod']==3)
			{
				if($_POST['venpag_numope']=="")responder(false, 'Ingrese N° de Operación.', ['tipo' => 'venpag_numope']);
			}
		}
		if($_POST['venpag_for']==2 and $_POST['venpag_numdia']=="")
		{
			responder(false, 'Ingrese N° días.', ['tipo' => 'venpag_numdia']);
		}
	
		$_SESSION['venpag_mon'][]		=moneda_mysql($_POST['venpag_mon']);
		$_SESSION['venpag_for'][]		=$_POST['venpag_for'];
		$_SESSION['venpag_mod'][]		=$_POST['venpag_mod'];
		$_SESSION['venpag_numope'][]	=$_POST['venpag_numope'];
		$_SESSION['venpag_numdia'][]	=$_POST['venpag_numdia'];
		$_SESSION['venpag_fecven'][]	=$_POST['venpag_fecven'];
		$_SESSION['venpag_cajid'][]	=$_POST['venpag_cajid'];
		
		responder(true, 'Correcto', ['tipo' => 'agregado']);	
	}
	else
	{
		if($diferencia==0)
		{
			responder(false, 'Monto completado.');
		}
		else
		{
			responder(false, 'Ingrese monto.', ['tipo' => 'venpag_mon', 'mon' => $diferencia]);
		}
		
	}
}
if($_POST['action']=='quitar')
{
	unset($_SESSION['venpag_mon'][$_POST['item_id']]);
	unset($_SESSION['venpag_for'][$_POST['item_id']]);
	unset($_SESSION['venpag_mod'][$_POST['item_id']]);
	unset($_SESSION['venpag_cajid'][$_POST['item_id']]);
	unset($_SESSION['venpag_numope'][$_POST['item_id']]);
	unset($_SESSION['venpag_numdia'][$_POST['item_id']]);
	unset($_SESSION['venpag_fecven'][$_POST['item_id']]);
	responder(true, 'Correcto');
}
if($_POST['action']=='restablecer')
{
	unset($_SESSION['venpag_mon']);
	unset($_SESSION['venpag_for']);
	unset($_SESSION['venpag_mod']);
	unset($_SESSION['venpag_cajid']);
	unset($_SESSION['venpag_numope']);
	unset($_SESSION['venpag_numdia']);
	unset($_SESSION['venpag_fecven']);
	responder(true, 'Correcto');
}
?>